using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace pcNanny
{
	/// <summary>
	/// Dynamic form to pick a user.
	/// </summary>
	public class PickUserForm : Form
	{
		UserList users = null;

		private List<Button> userButtons = new List<Button>();
		private Button doneButton;

		public PickUserForm(ref UserList users)
		{
            this.StartPosition = FormStartPosition.CenterParent;
            this.users = users;

			this.doneButton = new Button();
			this.SuspendLayout();

			int buttonNum = 1;
			int y = 25;
			foreach (UserInfo user in users)
			{
				Button button = new Button();
				button.Location = new System.Drawing.Point(24, y);
				button.Name = "userButton" + buttonNum.ToString();
				button.Size = new System.Drawing.Size(199, 25);
				button.TabIndex = 0;
				button.Text = user.Name;
				button.UseVisualStyleBackColor = true;
				button.Click += new System.EventHandler(this.onUserButton);

				this.userButtons.Add(button);
				this.Controls.Add(button);

				y += 31;
				buttonNum++;
			}

			// 
			// doneButton
			// 
			this.doneButton.Location = new System.Drawing.Point(83, y + 16);
			this.doneButton.Name = "doneButton";
			this.doneButton.Size = new System.Drawing.Size(81, 26);
			this.doneButton.TabIndex = 3;
			this.doneButton.Text = "Done";
			this.doneButton.UseVisualStyleBackColor = true;
			this.doneButton.Click += new System.EventHandler(this.onDoneButton);
			this.Controls.Add(this.doneButton);
			// 
			// PickUserForm
			// 
			this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
			this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
			this.ClientSize = new System.Drawing.Size(249, y + 63);
			this.Name = "PickUserForm";
			this.Text = "Admin which user?";
			this.ResumeLayout(false);
		}

		private void onUserButton(object sender, EventArgs e)
		{
			Button button = (Button)sender;
			UserInfo user = users.FindByName(button.Text);
			if (user != null)
			{
				Form2 form2 = new Form2(ref user);
                form2.ShowDialog();
            }
		}

		private void onDoneButton(object sender, EventArgs e)
		{
			Close();
		}

		private void InitializeComponent()
		{
			this.SuspendLayout();
			// 
			// PickUserForm
			// 
			this.ClientSize = new System.Drawing.Size(292, 266);
			this.Name = "PickUserForm";
			this.ResumeLayout(false);

		}
	}
}
